Page MenuHomePhabricator

arc diff should have an option to update the title and summary
Closed, ResolvedPublic

Description

I often post a review as [WIP] something something so that teammates can make early comments on a design or refactoring. When the change is done and ready for real review, I need to go into the phabricator interface and edit the summary and title manually. I should be able to edit the local head commit using git amend and upload the new title and summary to phabricator using arc diff.

Event Timeline

ctl created this task.Aug 7 2015, 11:20 PM
ctl raised the priority of this task from to Needs Triage.
ctl updated the task description. (Show Details)
ctl added a project: Restricted Project.
ctl added subscribers: jhurwitz, angie, ctl.
$ arc help diff
...
          --edit
              Supports: git, hg
              When updating a revision under git, edit revision information
              before updating.
...
          --verbatim
              Supports: hg, git
              When creating a revision, try to use the working copy commit
              message verbatim, without prompting to edit it. When updating a
              revision, update some fields from the local commit message.
...

Do these solve your problem?

T2543 is also likely to add a formal "wip/draft" state soon for "this isn't ready for review yet, but I want to share/get comments on it".

ctl added a comment.Aug 8 2015, 12:08 AM

Yes, I just tested 'arc diff --edit --verbatim' and it does what I want, thanks! Thanks for the quick reply. I'd downgrade this ticket to just please add this to the documentation so that searches for words such as "summary" and "title" find the right thing. I did read the complete documentation (including arc help diff) before asking, and missed that "update some fields from the local commit message" meant "update title and summary".

epriestley closed this task as Resolved.Aug 8 2015, 12:09 AM
epriestley claimed this task.

The fields that are updated depend on the server configuration, which is why they aren't enumerated in the help.

angie moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Aug 14 2015, 8:30 PM
angie moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Aug 14 2015, 8:33 PM